Bug 199873 - ejabberd rpm is missing ejabberdctl tool
ejabberd rpm is missing ejabberdctl tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-07-23 14:23 EDT by Peter Berry
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 11:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Berry 2006-07-23 14:23:40 EDT
Description of problem:
All of the offical ejabberd documentation assumes you have a tool called
ejabberdctl, see for example http://ejabberd.jabber.ru/jabberd1-to-ejabberd .
However, this file is not present in the rpm from Fedora Extras for either fc5
or fc6.

Version-Release number of selected component (if applicable):
1.1.1-9.fc5 and 1.1.1-9.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install ejabberd
2. Try to use ejabberdctl in a context where you would expect to be able to
(e.g., as root with $PATH set appropriately)
  
Actual results:
Command not found

Expected results:
Command is executed

Additional info:
The file is a simple shell script wrapper around an Erlang program
(/usr/lib64/ejabberd-1.1.1/ebin/ejabberd_ctl.beam); this latter file is present
in the rpm. It's possible to use it via erl, but the syntax is awkward - it's
easier to just pull the script out of the SRPM.
Comment 1 Michael Rice 2007-04-11 12:31:04 EDT
The same problem is still in the current release: ejabberd-1.1.3-1

Any chance this tool can be included. Why is it missing from the rpm anyway?
Comment 2 Fedora Update System 2007-07-31 18:51:40 EDT
ejabberd-1.1.3-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-08-08 11:34:23 EDT
ejabberd-1.1.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.